﻿using NLog;
using NLog.Config;
using NLog.Targets;


using SXTippster.Tools;
using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SXTippster.Models
{
    class Trade : NotificationObject
    {
        

       

        public double _odds;
        public double _wager;
        public String _selectionBettedOn;
        public String _league;
        public DateTime _dts;
        public String _match;

        public String League
        {
            get
            {
                return _league;
            }
            set
            {
                _league = value;
            }
        }

        public DateTime StartDts
        {
            get
            {
                return _dts;
            }
            set
            {
                _dts = value;
            }
        }

        public String Match
        {
            get
            {
                return _match;
            }
            set
            {
                _match = value;
            }
        }

        public String Market
        {
            get;
            set;
        }

        public Boolean IsRunning
        {
            get;
            set;
        }

        public long MarketId
        {
            get;
            set;
        }

        public String MarketStatus
        {
            get;
            set;
        }

        public String SelectionBettedOn
        {
            get
            {
                if (_selectionBettedOn == null)
                    return String.Empty;
                return _selectionBettedOn;  
            }
            set
            {
                _selectionBettedOn = value;
                RaisePropertyChanged(() => this.SelectionBettedOn);
            }
        }

        public Double Odds
        {
            get
            {
                return _odds;
            }
            set
            {
                if(value != _odds)
                {
                    _odds = value;
                    RaisePropertyChanged(() => this.Odds);
                    RaisePropertyChanged(() => this.HasBet);
                }
            }
        }

        public Boolean HasBet
        {
            get
            {
                return Odds != 0.0;
            }
        }

        public Double Wager
        {
            get { return _wager; }
            set
            {
                _wager = value;
                RaisePropertyChanged(() => this.Wager);
            }
        }

        public Boolean ToRemove
        { get; set; }

        /*
        public double BestLayPrice
        {
            get
            {
                if(this.SoccerMarket.Selections.Values)
            }
        }
        */

        public Trade()
        {



        }



    }
}
